import { WebSiteData } from "./WebsiteData";

export class Account {
  public id: number = -1;
  public userName: string = "";
  public email: string = "";
  public emailVerified: boolean = false;
  public passwordHash: string = "";
  public siteData: WebSiteData = new WebSiteData();
  public error: string = "";

  constructor(init?: Partial<Account>) {
    Object.assign(this, init);
  }
}